AccountsResource

Lists Ovok accounts.

  • Stable unknown
  • Release candidate since 0.1.0-rc.4
  • Development since 0.1.0-dev.24+fa54770
public final class AccountsResource

Lists Ovok accounts. Get it from Ovok.accounts().

Methods

list

public JsonNode list() throws IOException, InterruptedException

Lists the accounts the caller can see (GET /accounts).

Returns: the response body

Throws:

  • IOException: if the request cannot be sent or the response cannot be read
  • InterruptedException: if the thread is interrupted while waiting for the response
public JsonNode list(RequestOptions options) throws IOException, InterruptedException

Lists the accounts the caller can see (GET /accounts).

Parameters:

  • options: per-request options, such as the timeout

Returns: the response body

Throws:

  • IOException: if the request cannot be sent or the response cannot be read
  • InterruptedException: if the thread is interrupted while waiting for the response

Last updated on

On this page